Error with SCORM

Please report here problems and bugs
drgallegos
FormaLms User
Posts: 66
Joined: Sun Jul 20, 2014 4:19 pm
Version: Docebo CE 3.6

Error with SCORM

Post by drgallegos »

Hi. We have been uploading Articulate and iSpring, and all worked perfectly fine until two days ago. Now, when a student opens the SCORM content (Module), they are getting multiple errors. The first error is:

SML exception: Typeerror: tom is null (then when the user clicks ok), another error (see picture 2); when user clicks ok, scorm begins to open; and additional tab window opens, commit failure is the next picture. When user clicks ok, then finally the SCORM opens; however, upon closure, the errors run again. Has this happened with anyone else?
1.png
2.png
3.png

User avatar
max
FormaLms Guru
Posts: 2149
Joined: Thu Mar 01, 2012 10:41 am
Version: forma.lms 2.4
Contact:

Re: Error with SCORM

Post by max »

Hi, does it happen with packages that previously worked correctly or just with new ones?

To me it looks like something in the publishing of those files went wrong.

Also check if you have special characters (like " or : or ' ) in the file names or file titles.
---------------------
Massimiliano Ferrari
Elearnit - Elearning e Knowledge Management
https://www.elearnit.net
https://www.linkedin.com/in/massimilianoferrari
m.ferrari[at]elearnit.net
Skype: m_ferrari_it

drgallegos
FormaLms User
Posts: 66
Joined: Sun Jul 20, 2014 4:19 pm
Version: Docebo CE 3.6

Re: Error with SCORM

Post by drgallegos »

It is happening with all packages that previously worked. I even tried re-packing some and uploading the 'new' one and still getting the same.

User avatar
max
FormaLms Guru
Posts: 2149
Joined: Thu Mar 01, 2012 10:41 am
Version: forma.lms 2.4
Contact:

Re: Error with SCORM

Post by max »

well, in this case this means that something happened on your system 2 days ago...
have you changed the settings of your server? perhaps upgraded to php 7.1 or higher?
Forma is compatible up until php 7.0.x only.
---------------------
Massimiliano Ferrari
Elearnit - Elearning e Knowledge Management
https://www.elearnit.net
https://www.linkedin.com/in/massimilianoferrari
m.ferrari[at]elearnit.net
Skype: m_ferrari_it

alfa24
Senior Boarder
Posts: 564
Joined: Fri Nov 24, 2017 8:45 am
Version: forma.lms 1.4.2

Re: Error with SCORM

Post by alfa24 »

Do you get the same errors with other browsers?
I'm Jasmines, the One. If you need, you can contact me.

drgallegos
FormaLms User
Posts: 66
Joined: Sun Jul 20, 2014 4:19 pm
Version: Docebo CE 3.6

Re: Error with SCORM

Post by drgallegos »

We cannot figure this out and it is happening on all browsers.

User avatar
max
FormaLms Guru
Posts: 2149
Joined: Thu Mar 01, 2012 10:41 am
Version: forma.lms 2.4
Contact:

Re: Error with SCORM

Post by max »

max wrote:
Thu Sep 26, 2019 6:32 am
well, in this case this means that something happened on your system 2 days ago...
have you changed the settings of your server? perhaps upgraded to php 7.1 or higher?
Forma is compatible up until php 7.0.x only.
did you check out this?
---------------------
Massimiliano Ferrari
Elearnit - Elearning e Knowledge Management
https://www.elearnit.net
https://www.linkedin.com/in/massimilianoferrari
m.ferrari[at]elearnit.net
Skype: m_ferrari_it

drgallegos
FormaLms User
Posts: 66
Joined: Sun Jul 20, 2014 4:19 pm
Version: Docebo CE 3.6

Re: Error with SCORM

Post by drgallegos »

Yes, we checked that out as well, Max.

User avatar
max
FormaLms Guru
Posts: 2149
Joined: Thu Mar 01, 2012 10:41 am
Version: forma.lms 2.4
Contact:

Re: Error with SCORM

Post by max »

Thank you for the clarification. Anyway, from what you describe, it seems something that has to do with the server. Especially since it also affects previously working packages
---------------------
Massimiliano Ferrari
Elearnit - Elearning e Knowledge Management
https://www.elearnit.net
https://www.linkedin.com/in/massimilianoferrari
m.ferrari[at]elearnit.net
Skype: m_ferrari_it

drgallegos
FormaLms User
Posts: 66
Joined: Sun Jul 20, 2014 4:19 pm
Version: Docebo CE 3.6

Re: Error with SCORM

Post by drgallegos »

Nothing on our server has been changed recently. This has been running on the same server for a while now.

We have tried switching as lot as PHP 5.4 as up to 7.0 and nothing seems to be fixing this at all.

Post Reply